NEWLFS(8)

NAME
newfs_lfs - construct a new LFS file system

SYNOPSIS
newfs_lfs -L [newfs_lfs-options] special

DESCRIPTION
newfs_lfs builds a log-structured file system on the specified special device basing its defaults on the information in the disk label. (Before running newfs_lfs the disk must be labeled using disklabel(8) .)

The following options define the general layout policies.

-B  The logical segment size of the file system in bytes.

-b block-size
    The block size of the file system in bytes.

-L  Create a log-structured file system (LFS). This flag is currently required.

-m free space %
    The percentage of space reserved from normal users; the minimum free space threshold. The default value used is 10%. See tunefs(8) for more details on how to set this option.

-s size
    The size of the file system in sectors.

SEE ALSO
disktab(5), fs(5), dumplfs(8), disklabel(8), diskpart(8), tunefs(8) M. McKusick, W. Joy, S. Leffler, R. Fabry, A Fast File System for UNIX ,, ACM Transactions on Computer Systems 2, 3, pp 181-197, August 1984, (reprinted in the BSD System Manager's Manual).

HISTORY
The newfs_lfs command appeared in 4.4BSD.